package com.fs.company.service.impl.call.node;

import com.fs.common.core.redis.RedisCache;
import com.fs.common.utils.spring.SpringUtils;
import com.fs.company.mapper.CompanyWorkflowNodeMapper;
import com.fs.company.param.ExecutionContext;
import com.fs.company.vo.ExecutionResult;
import com.fs.enums.NodeTypeEnum;

import java.util.Map;

/**
 * @author MixLiu
 * @date 2026/1/28 13:39
 * @description 延时节点
 */
public class DelayNode extends AbstractWorkflowNode {

    private static final RedisCache redisCache = SpringUtils.getBean(RedisCache.class);
    private static final CompanyWorkflowNodeMapper companyWorkflowNodeMapper = SpringUtils.getBean(CompanyWorkflowNodeMapper.class);

    public DelayNode(String nodeKey, String nodeName, Map<String, Object> properties) {
        super(nodeKey, nodeName, properties);
    }

    @Override
    protected ExecutionResult doContinue(ExecutionContext context) {
        return null;
    }

    @Override
    protected ExecutionResult doExecute(ExecutionContext context) {

        return null;
    }

    @Override
    public NodeTypeEnum getType() {
        return NodeTypeEnum.DELAY;
    }

    @Override
    public Boolean isAsync() {
        return true;
    }


}
